/*
 * Created on 24.12.2003
 *
 * Copyright 2003, by Josef Lth
 * 
 */
package joseflueth;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import joseflueth.net.sourceforge.matex.CalculateException;
import joseflueth.net.sourceforge.matex.Parser;

/**
 * @author Josef Lth <josef.lueth@web.de>
 * 
 * @version 0.1
 *
 * To change the template for this generated type comment go to
 * Window>Preferences>Java>Code Generation>Code and Comments
 * 
 */
public class MatexCalcMEServlet extends HttpServlet
{

	public void doGet(HttpServletRequest request, HttpServletResponse response)
		throws IOException, ServletException
	{
		response.setContentType("text/plain");
		PrintWriter out = response.getWriter();
		//		get the term the user entered
		String term = request.getParameter("term");
	    //calculate the term
		String result;
		try
		{
			result = Parser.parse(term).eval();
		}
		catch (CalculateException e)
		{
			//if there is an error while calculating
			result = "Error: " + e.getMessage();
		}
		//if the user entered nothing
		catch (NullPointerException e)
		{
			result = "Keine Eingabe";
		}
		//write the html page
		out.println(result);
		out.close();
	}
}
